Airwallex logo
Airwallex logoAirwallex logo

Request for Information (RFI)

Copy for LLMView as Markdown

Simulate the creation and closure of RFI in the sandbox environment.

Endpoints
POST /api/v1/simulation/rfis/create
POST /api/v1/simulation/rfis/{id}/follow_up
POST /api/v1/simulation/rfis/{id}/close

Create an RFI

POST /api/v1/simulation/rfis/create

Use this endpoint to create an RFI for specific type. The questions and related sources are simulated. All RFIs for specified type must be in CLOSED status.

Request body
questionsarray

The questions in this RFI.

questions.answerrequiredobject

Expected response to the question

questions.answer.typerequiredstring

The expected type of response to the question

ADDRESS, ATTACHMENT, CONFIRMATION, IDENTITY_DOCUMENT, LIVENESS, TEXT

questions.sourcesarray

In the case where a question is linked to a specific source (such as a cardholder) then the source should be specified.

questions.sources.idrequiredstring

Unique identifier for the source

questions.sources.typerequiredstring

The type of the source. Valid values depend on the RFI type::

  • KYC/KYC_ONGOING: PERSON
  • CARDHOLDER: CARDHOLDER
  • MERCHANT_RISK: PAYMENT_INTENT
  • TRANSACTION: CHARGE, CONNECTED_ACCOUNT_TRANSFER, DIRECT_DEBIT, DEPOSIT, TRANSFER
typerequiredstring

The type of RFI. Currently supports KYC, KYC_ONGOING, CARDHOLDER, TRANSACTION, PAYMENT_ENABLEMENT and MERCHANT_RISK types.

Response body - 200 OK
account_idstring

Airwallex account unique identifier

active_requestobject

The current RFI request you are required to respond to

active_request.created_atstring

Timestamp the RFI request was created

active_request.expires_atstring

Timestamp the RFI request will expire, and the RFI status will be transited to CLOSED.

active_request.questionsarray

List of questions

active_request.questions.answerobject

Response to the question

active_request.questions.answer.addressobject

Response for ADDRESS type

active_request.questions.answer.address.address_line1string

The first line of a physical address, typically including the street number and name of the building or residence. A P.O. box is not acceptable.

active_request.questions.answer.address.address_line2string

An optional field that can be used to capture additional information about the address, such as the apartment/ suite number, or floor number.

active_request.questions.answer.address.country_codestring

Country code. (2-letter ISO 3166-2 country code)

active_request.questions.answer.address.postcodestring

Postcode or zip code. Only applicable if relevant to selected country.

active_request.questions.answer.address.statestring

Name of state. Only applicable if relevant to selected country.

active_request.questions.answer.address.suburbstring

Name of city/suburb.

active_request.questions.answer.attachmentsarray

Response for ATTACHMENT type

active_request.questions.answer.attachments.file_idstring

File id provided in the response from the File Service API

active_request.questions.answer.commentstring

comment for this response

active_request.questions.answer.confirmedboolean

Response for CONFIRMATION type

active_request.questions.answer.identity_documentobject

Response for IDENTITY_DOCUMENT type

active_request.questions.answer.identity_document.back_file_idstring

File id of the photo of the back of the document.

active_request.questions.answer.identity_document.front_file_idstring

File id of the photo of the front of the document.

active_request.questions.answer.identity_document.issuing_countrystring

Country issuing the document. (2-letter ISO 3166-2 country code)

active_request.questions.answer.identity_document.numberstring

Identity number.

active_request.questions.answer.identity_document.typestring

Type of identity document. One of DRIVING_LICENSE,PASSPORT,IDENTITY_CARD,MEDICARE_CARD,SSN,ITIN

active_request.questions.answer.textstring

Response for TEXT type

active_request.questions.answer.typestring

The type of response to the question

ADDRESS, ATTACHMENT, CONFIRMATION, IDENTITY_DOCUMENT, LIVENESS, TEXT

active_request.questions.attachmentsarray

The supporting documents of the question.

active_request.questions.attachments.file_idstring

File id used in File Service API to get file download link

active_request.questions.commentstring

Additional description for this question

active_request.questions.descriptionobject

The description of the question.

active_request.questions.description.enstring

Content in English

active_request.questions.description.zhstring

Content in Chinese

active_request.questions.idstring

Unique identifier for the question.

active_request.questions.keystring

The unique coded value for the RFI scenario the question relates to. This field is used to support automation of RFI responses from the platform for well defined business requirements

Possible values:

  • PROOF_OF_ADDRESS
  • ID_COPY
active_request.questions.livenessobject

Information for the LIVENESS type questions

active_request.questions.liveness.statusstring

The status of the liveness verification

FAILED, NOT_STARTED, STARTED, SUBMITTED, SUCCEEDED

active_request.questions.liveness.urlstring

This URL is used for liveness verification, necessary in certain cases. Ensure recipients open it on their mobile devices, equipped with a valid ID or passport and a working camera.

Please note:

  • If LIVENESS is the only question in the RFI, the Respond to an RFI API does not need a separate call. It will be auto-resolved after verification.
  • For RFIs with both LIVENESS and other questions, please complete liveness verification before responding to the rest.
active_request.questions.sourcesarray

In the case where a question is linked to a specific source (such as a cardholder) then the source will be specified

active_request.questions.sources.idstring

Unique identifier for the source

active_request.questions.sources.personobject

Information for PERSON source

active_request.questions.sources.person.first_namestring

First name of the person

active_request.questions.sources.person.last_namestring

Last name of the person

active_request.questions.sources.typestring

The type of the source. Type of values and their corresponding API:

  • PERSON: Get account by ID

  • BUSINESS: match account_details.business_person_details.person_id with the source id

  • INDIVIDUAL: match account_details.individual_details.person_id with the source id

  • If there is no matched person on your account, this indicates that Airwallex has introduced a new individual during the review process. Once verification is complete, this person will be added to your account.

  • CARDHOLDER: Get cardholder details

  • PAYMENT_INTENT: Retrieve a PaymentIntent

For TRANSACTION RFI:

active_request.questions.titleobject

The title of the question.

active_request.questions.title.enstring

Content in English

active_request.questions.title.zhstring

Content in Chinese

active_request.questions.uploaded_ordersarray

The uploaded orders which are related to the transaction, only applicable for TRANSACTION RFI.

active_request.questions.uploaded_orders.order_idstring

Unique identifier of the uploaded order.

active_request.updated_atstring

The latest timestamp the RFI request was updated

answered_requestsarray

The list of RFI requests that have already been responded to

answered_requests.created_atstring

Timestamp the RFI request was created

answered_requests.expires_atstring

Timestamp the RFI request will expire, and the RFI status will be transited to CLOSED.

answered_requests.questionsarray

List of questions

answered_requests.questions.answerobject

Response to the question

answered_requests.questions.answer.addressobject

Response for ADDRESS type

answered_requests.questions.answer.address.address_line1string

The first line of a physical address, typically including the street number and name of the building or residence. A P.O. box is not acceptable.

answered_requests.questions.answer.address.address_line2string

An optional field that can be used to capture additional information about the address, such as the apartment/ suite number, or floor number.

answered_requests.questions.answer.address.country_codestring

Country code. (2-letter ISO 3166-2 country code)

answered_requests.questions.answer.address.postcodestring

Postcode or zip code. Only applicable if relevant to selected country.

answered_requests.questions.answer.address.statestring

Name of state. Only applicable if relevant to selected country.

answered_requests.questions.answer.address.suburbstring

Name of city/suburb.

answered_requests.questions.answer.attachmentsarray

Response for ATTACHMENT type

answered_requests.questions.answer.attachments.file_idstring

File id provided in the response from the File Service API

answered_requests.questions.answer.commentstring

comment for this response

answered_requests.questions.answer.confirmedboolean

Response for CONFIRMATION type

answered_requests.questions.answer.identity_documentobject

Response for IDENTITY_DOCUMENT type

answered_requests.questions.answer.identity_document.back_file_idstring

File id of the photo of the back of the document.

answered_requests.questions.answer.identity_document.front_file_idstring

File id of the photo of the front of the document.

answered_requests.questions.answer.identity_document.issuing_countrystring

Country issuing the document. (2-letter ISO 3166-2 country code)

answered_requests.questions.answer.identity_document.numberstring

Identity number.

answered_requests.questions.answer.identity_document.typestring

Type of identity document. One of DRIVING_LICENSE,PASSPORT,IDENTITY_CARD,MEDICARE_CARD,SSN,ITIN

answered_requests.questions.answer.textstring

Response for TEXT type

answered_requests.questions.answer.typestring

The type of response to the question

ADDRESS, ATTACHMENT, CONFIRMATION, IDENTITY_DOCUMENT, LIVENESS, TEXT

answered_requests.questions.attachmentsarray

The supporting documents of the question.

answered_requests.questions.attachments.file_idstring

File id used in File Service API to get file download link

answered_requests.questions.commentstring

Additional description for this question

answered_requests.questions.descriptionobject

The description of the question.

answered_requests.questions.description.enstring

Content in English

answered_requests.questions.description.zhstring

Content in Chinese

answered_requests.questions.idstring

Unique identifier for the question.

answered_requests.questions.keystring

The unique coded value for the RFI scenario the question relates to. This field is used to support automation of RFI responses from the platform for well defined business requirements

Possible values:

  • PROOF_OF_ADDRESS
  • ID_COPY
answered_requests.questions.livenessobject

Information for the LIVENESS type questions

answered_requests.questions.liveness.statusstring

The status of the liveness verification

FAILED, NOT_STARTED, STARTED, SUBMITTED, SUCCEEDED

answered_requests.questions.liveness.urlstring

This URL is used for liveness verification, necessary in certain cases. Ensure recipients open it on their mobile devices, equipped with a valid ID or passport and a working camera.

Please note:

  • If LIVENESS is the only question in the RFI, the Respond to an RFI API does not need a separate call. It will be auto-resolved after verification.
  • For RFIs with both LIVENESS and other questions, please complete liveness verification before responding to the rest.
answered_requests.questions.sourcesarray

In the case where a question is linked to a specific source (such as a cardholder) then the source will be specified

answered_requests.questions.sources.idstring

Unique identifier for the source

answered_requests.questions.sources.personobject

Information for PERSON source

answered_requests.questions.sources.person.first_namestring

First name of the person

answered_requests.questions.sources.person.last_namestring

Last name of the person

answered_requests.questions.sources.typestring

The type of the source. Type of values and their corresponding API:

  • PERSON: Get account by ID

  • BUSINESS: match account_details.business_person_details.person_id with the source id

  • INDIVIDUAL: match account_details.individual_details.person_id with the source id

  • If there is no matched person on your account, this indicates that Airwallex has introduced a new individual during the review process. Once verification is complete, this person will be added to your account.

  • CARDHOLDER: Get cardholder details

  • PAYMENT_INTENT: Retrieve a PaymentIntent

For TRANSACTION RFI:

answered_requests.questions.titleobject

The title of the question.

answered_requests.questions.title.enstring

Content in English

answered_requests.questions.title.zhstring

Content in Chinese

answered_requests.questions.uploaded_ordersarray

The uploaded orders which are related to the transaction, only applicable for TRANSACTION RFI.

answered_requests.questions.uploaded_orders.order_idstring

Unique identifier of the uploaded order.

answered_requests.updated_atstring

The latest timestamp the RFI request was updated

created_atstring

Timestamp the RFI was created

idstring

Unique identifier for the RFI

statusstring

The status of the RFI. Possible values:

  • ACTION_REQUIRED: Airwallex requires you to respond to the RFI request
  • ANSWERED: You have already responded to the RFI request and your response is being reviewed by Airwallex
  • CLOSED: The review is complete and no further information is required
sub_typestring

The sub type of RFI.
For TRANSACTION RFI:

  • TRANSACTION_MONITORING: Internal transaction monitoring
  • TRANSACTION_SCREENING: Internal transaction screening
  • BANKING_PARTNER_INQUIRY: External banking partner inquiry
typestring

The type of RFI. Currently supports KYC, KYC_ONGOING, CARDHOLDER, TRANSACTION, PAYMENT_ENABLEMENT and MERCHANT_RISK types.

updated_atstring

The latest timestamp the RFI was updated

Errors
Error statusDescription
400

invalid_argument

401

credentials_invalid

500

service_unavailable

POST /api/v1/simulation/rfis/create
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/simulation/rfis/create' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "questions": [
> {
> "answer": {
> "type": "TEXT"
> },
> "sources": [
> {
> "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
> "type": "TRANSFER"
> }
> ]
> }
> ],
> "type": "KYC"
>}'
Response (200 OK)
1{
2 "account_id": "acct_e_2wbiZ3Mx-ynlX-7Qidbg",
3 "active_request": {
4 "created_at": "2023-04-12T07:29:36+0000",
5 "expires_at": "2023-04-19T07:29:36+0000",
6 "questions": [
7 {
8 "answer": {
9 "address": {
10 "address_line1": "200 Collins Street",
11 "address_line2": "200 Collins Street",
12 "country_code": "AU",
13 "postcode": "3000",
14 "state": "VIC",
15 "suburb": "Melbourne"
16 },
17 "attachments": [
18 {
19 "file_id": "ZTEyOWJjZTItZGI5NS00NzI5LWI1YTQtZmQ2MmZlNDEwNzFlLHwsaG9uZ2tvbmcsfCzpvI7og5xDSS5wZGZfMTY4MzI1Nzg5OTUwOQ"
20 }
21 ],
22 "identity_document": {
23 "back_file_id": "N2EwYTllMTgtZmZjOS00ZDllLWI1MDQtMDMyZjAzZTRjZWE0LHwsLHwsQ05fQkxfbmV3LnBuZ18xNjgzNTUyNjg3Nzg3",
24 "front_file_id": "N2EwYTllMTgtZmZjOS00ZDllLWI1MDQtMDMyZjAzZTRjZWE0LHwsLHwsQ05fQkxfbmV3LnBuZ18xNjgzNTUyNjg3Nzg3",
25 "issuing_country": "AU",
26 "number": "123456789",
27 "type": "DRIVING_LICENSE"
28 },
29 "type": "TEXT"
30 },
31 "attachments": [
32 {
33 "file_id": "ZTEyOWJjZTItZGI5NS00NzI5LWI1YTQtZmQ2MmZlNDEwNzFlLHwsaG9uZ2tvbmcsfCzpvI7og5xDSS5wZGZfMTY4MzI1Nzg5OTUwOQ"
34 }
35 ],
36 "comment": "Please provide more information",
37 "description": {
38 "en": "Information confirmation",
39 "zh": "信息确认"
40 },
41 "id": "ba7bfb51-77bc-4991-b651-0969ece1d263",
42 "key": "PROOF_OF_ADDRESS",
43 "liveness": {
44 "status": "NOT_STARTED"
45 },
46 "sources": [
47 {
48 "id": "318ce9e9-c370-42bd-8192-e78283770c43",
49 "person": {
50 "first_name": "John",
51 "last_name": "Smith"
52 },
53 "type": "CARDHOLDER"
54 }
55 ],
56 "title": {
57 "en": "Information confirmation",
58 "zh": "信息确认"
59 },
60 "uploaded_orders": [
61 {
62 "order_id": "e10a8291-fabb-480d-a208-7c8f1c2cc5ec"
63 }
64 ]
65 }
66 ],
67 "updated_at": "2023-04-14T07:29:36+0000"
68 },
69 "answered_requests": [
70 {
71 "created_at": "2023-04-12T07:29:36+0000",
72 "expires_at": "2023-04-19T07:29:36+0000",
73 "questions": [
74 {
75 "answer": {
76 "address": {
77 "address_line1": "200 Collins Street",
78 "address_line2": "200 Collins Street",
79 "country_code": "AU",
80 "postcode": "3000",
81 "state": "VIC",
82 "suburb": "Melbourne"
83 },
84 "attachments": [
85 {
86 "file_id": "ZTEyOWJjZTItZGI5NS00NzI5LWI1YTQtZmQ2MmZlNDEwNzFlLHwsaG9uZ2tvbmcsfCzpvI7og5xDSS5wZGZfMTY4MzI1Nzg5OTUwOQ"
87 }
88 ],
89 "identity_document": {
90 "back_file_id": "N2EwYTllMTgtZmZjOS00ZDllLWI1MDQtMDMyZjAzZTRjZWE0LHwsLHwsQ05fQkxfbmV3LnBuZ18xNjgzNTUyNjg3Nzg3",
91 "front_file_id": "N2EwYTllMTgtZmZjOS00ZDllLWI1MDQtMDMyZjAzZTRjZWE0LHwsLHwsQ05fQkxfbmV3LnBuZ18xNjgzNTUyNjg3Nzg3",
92 "issuing_country": "AU",
93 "number": "123456789",
94 "type": "DRIVING_LICENSE"
95 },
96 "type": "TEXT"
97 },
98 "attachments": [
99 {
100 "file_id": "ZTEyOWJjZTItZGI5NS00NzI5LWI1YTQtZmQ2MmZlNDEwNzFlLHwsaG9uZ2tvbmcsfCzpvI7og5xDSS5wZGZfMTY4MzI1Nzg5OTUwOQ"
101 }
102 ],
103 "comment": "Please provide more information",
104 "description": {
105 "en": "Information confirmation",
106 "zh": "信息确认"
107 },
108 "id": "ba7bfb51-77bc-4991-b651-0969ece1d263",
109 "key": "PROOF_OF_ADDRESS",
110 "liveness": {
111 "status": "NOT_STARTED"
112 },
113 "sources": [
114 {
115 "id": "318ce9e9-c370-42bd-8192-e78283770c43",
116 "person": {
117 "first_name": "John",
118 "last_name": "Smith"
119 },
120 "type": "CARDHOLDER"
121 }
122 ],
123 "title": {
124 "en": "Information confirmation",
125 "zh": "信息确认"
126 },
127 "uploaded_orders": [
128 {
129 "order_id": "e10a8291-fabb-480d-a208-7c8f1c2cc5ec"
130 }
131 ]
132 }
133 ],
134 "updated_at": "2023-04-14T07:29:36+0000"
135 }
136 ],
137 "created_at": "2023-04-11T07:29:36+0000",
138 "id": "de73d13b-cb60-4541-8fa6-4bc50c1cbe92",
139 "status": "ACTION_REQUIRED",
140 "sub_type": "TRANSACTION_MONITORING",
141 "type": "KYC",
142 "updated_at": "2023-04-12T07:29:36+0000"
143}
Was this section helpful?

Follow-up RFI

POST /api/v1/simulation/rfis/{id}/follow_up

Use this endpoint to create a follow-up on an existing RFI. You can choose to retain the existing questions, append new ones, or both, depending on your testing needs.

Parameters
idrequiredstring

Unique identifier of the RFI

Request body
questionsarray

The questions in this RFI. You can refer to an existing question by its unique identifier, or append new questions by specifying the expected response type.

questions.answerobject

Expected response to the question, this is required if id is not passed.

questions.answer.typerequiredstring

The expected type of response to the question

ADDRESS, ATTACHMENT, CONFIRMATION, IDENTITY_DOCUMENT, LIVENESS, TEXT

questions.idstring

Unique identifier of the original RFI question, which will be reopened by this follow-up request.

questions.sourcesarray

In the case where a question is linked to a specific source (such as a cardholder) then the source should be specified.

questions.sources.idrequiredstring

Unique identifier for the source

questions.sources.typerequiredstring

The type of the source. Valid values depend on the RFI type::

  • KYC/KYC_ONGOING: PERSON
  • CARDHOLDER: CARDHOLDER
  • MERCHANT_RISK: PAYMENT_INTENT
  • TRANSACTION: CHARGE, CONNECTED_ACCOUNT_TRANSFER, DIRECT_DEBIT, DEPOSIT, TRANSFER
Response body - 200 OK
account_idstring

Airwallex account unique identifier

active_requestobject

The current RFI request you are required to respond to

active_request.created_atstring

Timestamp the RFI request was created

active_request.expires_atstring

Timestamp the RFI request will expire, and the RFI status will be transited to CLOSED.

active_request.questionsarray

List of questions

active_request.questions.answerobject

Response to the question

active_request.questions.answer.addressobject

Response for ADDRESS type

active_request.questions.answer.address.address_line1string

The first line of a physical address, typically including the street number and name of the building or residence. A P.O. box is not acceptable.

active_request.questions.answer.address.address_line2string

An optional field that can be used to capture additional information about the address, such as the apartment/ suite number, or floor number.

active_request.questions.answer.address.country_codestring

Country code. (2-letter ISO 3166-2 country code)

active_request.questions.answer.address.postcodestring

Postcode or zip code. Only applicable if relevant to selected country.

active_request.questions.answer.address.statestring

Name of state. Only applicable if relevant to selected country.

active_request.questions.answer.address.suburbstring

Name of city/suburb.

active_request.questions.answer.attachmentsarray

Response for ATTACHMENT type

active_request.questions.answer.attachments.file_idstring

File id provided in the response from the File Service API

active_request.questions.answer.commentstring

comment for this response

active_request.questions.answer.confirmedboolean

Response for CONFIRMATION type

active_request.questions.answer.identity_documentobject

Response for IDENTITY_DOCUMENT type

active_request.questions.answer.identity_document.back_file_idstring

File id of the photo of the back of the document.

active_request.questions.answer.identity_document.front_file_idstring

File id of the photo of the front of the document.

active_request.questions.answer.identity_document.issuing_countrystring

Country issuing the document. (2-letter ISO 3166-2 country code)

active_request.questions.answer.identity_document.numberstring

Identity number.

active_request.questions.answer.identity_document.typestring

Type of identity document. One of DRIVING_LICENSE,PASSPORT,IDENTITY_CARD,MEDICARE_CARD,SSN,ITIN

active_request.questions.answer.textstring

Response for TEXT type

active_request.questions.answer.typestring

The type of response to the question

ADDRESS, ATTACHMENT, CONFIRMATION, IDENTITY_DOCUMENT, LIVENESS, TEXT

active_request.questions.attachmentsarray

The supporting documents of the question.

active_request.questions.attachments.file_idstring

File id used in File Service API to get file download link

active_request.questions.commentstring

Additional description for this question

active_request.questions.descriptionobject

The description of the question.

active_request.questions.description.enstring

Content in English

active_request.questions.description.zhstring

Content in Chinese

active_request.questions.idstring

Unique identifier for the question.

active_request.questions.keystring

The unique coded value for the RFI scenario the question relates to. This field is used to support automation of RFI responses from the platform for well defined business requirements

Possible values:

  • PROOF_OF_ADDRESS
  • ID_COPY
active_request.questions.livenessobject

Information for the LIVENESS type questions

active_request.questions.liveness.statusstring

The status of the liveness verification

FAILED, NOT_STARTED, STARTED, SUBMITTED, SUCCEEDED

active_request.questions.liveness.urlstring

This URL is used for liveness verification, necessary in certain cases. Ensure recipients open it on their mobile devices, equipped with a valid ID or passport and a working camera.

Please note:

  • If LIVENESS is the only question in the RFI, the Respond to an RFI API does not need a separate call. It will be auto-resolved after verification.
  • For RFIs with both LIVENESS and other questions, please complete liveness verification before responding to the rest.
active_request.questions.sourcesarray

In the case where a question is linked to a specific source (such as a cardholder) then the source will be specified

active_request.questions.sources.idstring

Unique identifier for the source

active_request.questions.sources.personobject

Information for PERSON source

active_request.questions.sources.person.first_namestring

First name of the person

active_request.questions.sources.person.last_namestring

Last name of the person

active_request.questions.sources.typestring

The type of the source. Type of values and their corresponding API:

  • PERSON: Get account by ID

  • BUSINESS: match account_details.business_person_details.person_id with the source id

  • INDIVIDUAL: match account_details.individual_details.person_id with the source id

  • If there is no matched person on your account, this indicates that Airwallex has introduced a new individual during the review process. Once verification is complete, this person will be added to your account.

  • CARDHOLDER: Get cardholder details

  • PAYMENT_INTENT: Retrieve a PaymentIntent

For TRANSACTION RFI:

active_request.questions.titleobject

The title of the question.

active_request.questions.title.enstring

Content in English

active_request.questions.title.zhstring

Content in Chinese

active_request.questions.uploaded_ordersarray

The uploaded orders which are related to the transaction, only applicable for TRANSACTION RFI.

active_request.questions.uploaded_orders.order_idstring

Unique identifier of the uploaded order.

active_request.updated_atstring

The latest timestamp the RFI request was updated

answered_requestsarray

The list of RFI requests that have already been responded to

answered_requests.created_atstring

Timestamp the RFI request was created

answered_requests.expires_atstring

Timestamp the RFI request will expire, and the RFI status will be transited to CLOSED.

answered_requests.questionsarray

List of questions

answered_requests.questions.answerobject

Response to the question

answered_requests.questions.answer.addressobject

Response for ADDRESS type

answered_requests.questions.answer.address.address_line1string

The first line of a physical address, typically including the street number and name of the building or residence. A P.O. box is not acceptable.

answered_requests.questions.answer.address.address_line2string

An optional field that can be used to capture additional information about the address, such as the apartment/ suite number, or floor number.

answered_requests.questions.answer.address.country_codestring

Country code. (2-letter ISO 3166-2 country code)

answered_requests.questions.answer.address.postcodestring

Postcode or zip code. Only applicable if relevant to selected country.

answered_requests.questions.answer.address.statestring

Name of state. Only applicable if relevant to selected country.

answered_requests.questions.answer.address.suburbstring

Name of city/suburb.

answered_requests.questions.answer.attachmentsarray

Response for ATTACHMENT type

answered_requests.questions.answer.attachments.file_idstring

File id provided in the response from the File Service API

answered_requests.questions.answer.commentstring

comment for this response

answered_requests.questions.answer.confirmedboolean

Response for CONFIRMATION type

answered_requests.questions.answer.identity_documentobject

Response for IDENTITY_DOCUMENT type

answered_requests.questions.answer.identity_document.back_file_idstring

File id of the photo of the back of the document.

answered_requests.questions.answer.identity_document.front_file_idstring

File id of the photo of the front of the document.

answered_requests.questions.answer.identity_document.issuing_countrystring

Country issuing the document. (2-letter ISO 3166-2 country code)

answered_requests.questions.answer.identity_document.numberstring

Identity number.

answered_requests.questions.answer.identity_document.typestring

Type of identity document. One of DRIVING_LICENSE,PASSPORT,IDENTITY_CARD,MEDICARE_CARD,SSN,ITIN

answered_requests.questions.answer.textstring

Response for TEXT type

answered_requests.questions.answer.typestring

The type of response to the question

ADDRESS, ATTACHMENT, CONFIRMATION, IDENTITY_DOCUMENT, LIVENESS, TEXT

answered_requests.questions.attachmentsarray

The supporting documents of the question.

answered_requests.questions.attachments.file_idstring

File id used in File Service API to get file download link

answered_requests.questions.commentstring

Additional description for this question

answered_requests.questions.descriptionobject

The description of the question.

answered_requests.questions.description.enstring

Content in English

answered_requests.questions.description.zhstring

Content in Chinese

answered_requests.questions.idstring

Unique identifier for the question.

answered_requests.questions.keystring

The unique coded value for the RFI scenario the question relates to. This field is used to support automation of RFI responses from the platform for well defined business requirements

Possible values:

  • PROOF_OF_ADDRESS
  • ID_COPY
answered_requests.questions.livenessobject

Information for the LIVENESS type questions

answered_requests.questions.liveness.statusstring

The status of the liveness verification

FAILED, NOT_STARTED, STARTED, SUBMITTED, SUCCEEDED

answered_requests.questions.liveness.urlstring

This URL is used for liveness verification, necessary in certain cases. Ensure recipients open it on their mobile devices, equipped with a valid ID or passport and a working camera.

Please note:

  • If LIVENESS is the only question in the RFI, the Respond to an RFI API does not need a separate call. It will be auto-resolved after verification.
  • For RFIs with both LIVENESS and other questions, please complete liveness verification before responding to the rest.
answered_requests.questions.sourcesarray

In the case where a question is linked to a specific source (such as a cardholder) then the source will be specified

answered_requests.questions.sources.idstring

Unique identifier for the source

answered_requests.questions.sources.personobject

Information for PERSON source

answered_requests.questions.sources.person.first_namestring

First name of the person

answered_requests.questions.sources.person.last_namestring

Last name of the person

answered_requests.questions.sources.typestring

The type of the source. Type of values and their corresponding API:

  • PERSON: Get account by ID

  • BUSINESS: match account_details.business_person_details.person_id with the source id

  • INDIVIDUAL: match account_details.individual_details.person_id with the source id

  • If there is no matched person on your account, this indicates that Airwallex has introduced a new individual during the review process. Once verification is complete, this person will be added to your account.

  • CARDHOLDER: Get cardholder details

  • PAYMENT_INTENT: Retrieve a PaymentIntent

For TRANSACTION RFI:

answered_requests.questions.titleobject

The title of the question.

answered_requests.questions.title.enstring

Content in English

answered_requests.questions.title.zhstring

Content in Chinese

answered_requests.questions.uploaded_ordersarray

The uploaded orders which are related to the transaction, only applicable for TRANSACTION RFI.

answered_requests.questions.uploaded_orders.order_idstring

Unique identifier of the uploaded order.

answered_requests.updated_atstring

The latest timestamp the RFI request was updated

created_atstring

Timestamp the RFI was created

idstring

Unique identifier for the RFI

statusstring

The status of the RFI. Possible values:

  • ACTION_REQUIRED: Airwallex requires you to respond to the RFI request
  • ANSWERED: You have already responded to the RFI request and your response is being reviewed by Airwallex
  • CLOSED: The review is complete and no further information is required
sub_typestring

The sub type of RFI.
For TRANSACTION RFI:

  • TRANSACTION_MONITORING: Internal transaction monitoring
  • TRANSACTION_SCREENING: Internal transaction screening
  • BANKING_PARTNER_INQUIRY: External banking partner inquiry
typestring

The type of RFI. Currently supports KYC, KYC_ONGOING, CARDHOLDER, TRANSACTION, PAYMENT_ENABLEMENT and MERCHANT_RISK types.

updated_atstring

The latest timestamp the RFI was updated

Errors
Error statusDescription
400

invalid_argument

401

credentials_invalid

404

not_found

500

service_unavailable

POST /api/v1/simulation/rfis/{id}/follow_up
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/simulation/rfis/request_for_information_rfi_id/follow_up' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "questions": [
> {
> "answer": {
> "type": "TEXT"
> },
> "id": "6f7f4efb-85bb-4bd9-a512-1a9a06c7f103",
> "sources": [
> {
> "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
> "type": "TRANSFER"
> }
> ]
> }
> ]
>}'
Response (200 OK)
1{
2 "account_id": "acct_e_2wbiZ3Mx-ynlX-7Qidbg",
3 "active_request": {
4 "created_at": "2023-04-12T07:29:36+0000",
5 "expires_at": "2023-04-19T07:29:36+0000",
6 "questions": [
7 {
8 "answer": {
9 "address": {
10 "address_line1": "200 Collins Street",
11 "address_line2": "200 Collins Street",
12 "country_code": "AU",
13 "postcode": "3000",
14 "state": "VIC",
15 "suburb": "Melbourne"
16 },
17 "attachments": [
18 {
19 "file_id": "ZTEyOWJjZTItZGI5NS00NzI5LWI1YTQtZmQ2MmZlNDEwNzFlLHwsaG9uZ2tvbmcsfCzpvI7og5xDSS5wZGZfMTY4MzI1Nzg5OTUwOQ"
20 }
21 ],
22 "identity_document": {
23 "back_file_id": "N2EwYTllMTgtZmZjOS00ZDllLWI1MDQtMDMyZjAzZTRjZWE0LHwsLHwsQ05fQkxfbmV3LnBuZ18xNjgzNTUyNjg3Nzg3",
24 "front_file_id": "N2EwYTllMTgtZmZjOS00ZDllLWI1MDQtMDMyZjAzZTRjZWE0LHwsLHwsQ05fQkxfbmV3LnBuZ18xNjgzNTUyNjg3Nzg3",
25 "issuing_country": "AU",
26 "number": "123456789",
27 "type": "DRIVING_LICENSE"
28 },
29 "type": "TEXT"
30 },
31 "attachments": [
32 {
33 "file_id": "ZTEyOWJjZTItZGI5NS00NzI5LWI1YTQtZmQ2MmZlNDEwNzFlLHwsaG9uZ2tvbmcsfCzpvI7og5xDSS5wZGZfMTY4MzI1Nzg5OTUwOQ"
34 }
35 ],
36 "comment": "Please provide more information",
37 "description": {
38 "en": "Information confirmation",
39 "zh": "信息确认"
40 },
41 "id": "ba7bfb51-77bc-4991-b651-0969ece1d263",
42 "key": "PROOF_OF_ADDRESS",
43 "liveness": {
44 "status": "NOT_STARTED"
45 },
46 "sources": [
47 {
48 "id": "318ce9e9-c370-42bd-8192-e78283770c43",
49 "person": {
50 "first_name": "John",
51 "last_name": "Smith"
52 },
53 "type": "CARDHOLDER"
54 }
55 ],
56 "title": {
57 "en": "Information confirmation",
58 "zh": "信息确认"
59 },
60 "uploaded_orders": [
61 {
62 "order_id": "e10a8291-fabb-480d-a208-7c8f1c2cc5ec"
63 }
64 ]
65 }
66 ],
67 "updated_at": "2023-04-14T07:29:36+0000"
68 },
69 "answered_requests": [
70 {
71 "created_at": "2023-04-12T07:29:36+0000",
72 "expires_at": "2023-04-19T07:29:36+0000",
73 "questions": [
74 {
75 "answer": {
76 "address": {
77 "address_line1": "200 Collins Street",
78 "address_line2": "200 Collins Street",
79 "country_code": "AU",
80 "postcode": "3000",
81 "state": "VIC",
82 "suburb": "Melbourne"
83 },
84 "attachments": [
85 {
86 "file_id": "ZTEyOWJjZTItZGI5NS00NzI5LWI1YTQtZmQ2MmZlNDEwNzFlLHwsaG9uZ2tvbmcsfCzpvI7og5xDSS5wZGZfMTY4MzI1Nzg5OTUwOQ"
87 }
88 ],
89 "identity_document": {
90 "back_file_id": "N2EwYTllMTgtZmZjOS00ZDllLWI1MDQtMDMyZjAzZTRjZWE0LHwsLHwsQ05fQkxfbmV3LnBuZ18xNjgzNTUyNjg3Nzg3",
91 "front_file_id": "N2EwYTllMTgtZmZjOS00ZDllLWI1MDQtMDMyZjAzZTRjZWE0LHwsLHwsQ05fQkxfbmV3LnBuZ18xNjgzNTUyNjg3Nzg3",
92 "issuing_country": "AU",
93 "number": "123456789",
94 "type": "DRIVING_LICENSE"
95 },
96 "type": "TEXT"
97 },
98 "attachments": [
99 {
100 "file_id": "ZTEyOWJjZTItZGI5NS00NzI5LWI1YTQtZmQ2MmZlNDEwNzFlLHwsaG9uZ2tvbmcsfCzpvI7og5xDSS5wZGZfMTY4MzI1Nzg5OTUwOQ"
101 }
102 ],
103 "comment": "Please provide more information",
104 "description": {
105 "en": "Information confirmation",
106 "zh": "信息确认"
107 },
108 "id": "ba7bfb51-77bc-4991-b651-0969ece1d263",
109 "key": "PROOF_OF_ADDRESS",
110 "liveness": {
111 "status": "NOT_STARTED"
112 },
113 "sources": [
114 {
115 "id": "318ce9e9-c370-42bd-8192-e78283770c43",
116 "person": {
117 "first_name": "John",
118 "last_name": "Smith"
119 },
120 "type": "CARDHOLDER"
121 }
122 ],
123 "title": {
124 "en": "Information confirmation",
125 "zh": "信息确认"
126 },
127 "uploaded_orders": [
128 {
129 "order_id": "e10a8291-fabb-480d-a208-7c8f1c2cc5ec"
130 }
131 ]
132 }
133 ],
134 "updated_at": "2023-04-14T07:29:36+0000"
135 }
136 ],
137 "created_at": "2023-04-11T07:29:36+0000",
138 "id": "de73d13b-cb60-4541-8fa6-4bc50c1cbe92",
139 "status": "ACTION_REQUIRED",
140 "sub_type": "TRANSACTION_MONITORING",
141 "type": "KYC",
142 "updated_at": "2023-04-12T07:29:36+0000"
143}
Was this section helpful?

Close an RFI

POST /api/v1/simulation/rfis/{id}/close

Use this endpoint to close an RFI.

Parameters
idrequiredstring

Unique identifier of the RFI

Response body - 200 OK
account_idstring

Airwallex account unique identifier

active_requestobject

The current RFI request you are required to respond to

active_request.created_atstring

Timestamp the RFI request was created

active_request.expires_atstring

Timestamp the RFI request will expire, and the RFI status will be transited to CLOSED.

active_request.questionsarray

List of questions

active_request.questions.answerobject

Response to the question

active_request.questions.answer.addressobject

Response for ADDRESS type

active_request.questions.answer.address.address_line1string

The first line of a physical address, typically including the street number and name of the building or residence. A P.O. box is not acceptable.

active_request.questions.answer.address.address_line2string

An optional field that can be used to capture additional information about the address, such as the apartment/ suite number, or floor number.

active_request.questions.answer.address.country_codestring

Country code. (2-letter ISO 3166-2 country code)

active_request.questions.answer.address.postcodestring

Postcode or zip code. Only applicable if relevant to selected country.

active_request.questions.answer.address.statestring

Name of state. Only applicable if relevant to selected country.

active_request.questions.answer.address.suburbstring

Name of city/suburb.

active_request.questions.answer.attachmentsarray

Response for ATTACHMENT type

active_request.questions.answer.attachments.file_idstring

File id provided in the response from the File Service API

active_request.questions.answer.commentstring

comment for this response

active_request.questions.answer.confirmedboolean

Response for CONFIRMATION type

active_request.questions.answer.identity_documentobject

Response for IDENTITY_DOCUMENT type

active_request.questions.answer.identity_document.back_file_idstring

File id of the photo of the back of the document.

active_request.questions.answer.identity_document.front_file_idstring

File id of the photo of the front of the document.

active_request.questions.answer.identity_document.issuing_countrystring

Country issuing the document. (2-letter ISO 3166-2 country code)

active_request.questions.answer.identity_document.numberstring

Identity number.

active_request.questions.answer.identity_document.typestring

Type of identity document. One of DRIVING_LICENSE,PASSPORT,IDENTITY_CARD,MEDICARE_CARD,SSN,ITIN

active_request.questions.answer.textstring

Response for TEXT type

active_request.questions.answer.typestring

The type of response to the question

ADDRESS, ATTACHMENT, CONFIRMATION, IDENTITY_DOCUMENT, LIVENESS, TEXT

active_request.questions.attachmentsarray

The supporting documents of the question.

active_request.questions.attachments.file_idstring

File id used in File Service API to get file download link

active_request.questions.commentstring

Additional description for this question

active_request.questions.descriptionobject

The description of the question.

active_request.questions.description.enstring

Content in English

active_request.questions.description.zhstring

Content in Chinese

active_request.questions.idstring

Unique identifier for the question.

active_request.questions.keystring

The unique coded value for the RFI scenario the question relates to. This field is used to support automation of RFI responses from the platform for well defined business requirements

Possible values:

  • PROOF_OF_ADDRESS
  • ID_COPY
active_request.questions.livenessobject

Information for the LIVENESS type questions

active_request.questions.liveness.statusstring

The status of the liveness verification

FAILED, NOT_STARTED, STARTED, SUBMITTED, SUCCEEDED

active_request.questions.liveness.urlstring

This URL is used for liveness verification, necessary in certain cases. Ensure recipients open it on their mobile devices, equipped with a valid ID or passport and a working camera.

Please note:

  • If LIVENESS is the only question in the RFI, the Respond to an RFI API does not need a separate call. It will be auto-resolved after verification.
  • For RFIs with both LIVENESS and other questions, please complete liveness verification before responding to the rest.
active_request.questions.sourcesarray

In the case where a question is linked to a specific source (such as a cardholder) then the source will be specified

active_request.questions.sources.idstring

Unique identifier for the source

active_request.questions.sources.personobject

Information for PERSON source

active_request.questions.sources.person.first_namestring

First name of the person

active_request.questions.sources.person.last_namestring

Last name of the person

active_request.questions.sources.typestring

The type of the source. Type of values and their corresponding API:

  • PERSON: Get account by ID

  • BUSINESS: match account_details.business_person_details.person_id with the source id

  • INDIVIDUAL: match account_details.individual_details.person_id with the source id

  • If there is no matched person on your account, this indicates that Airwallex has introduced a new individual during the review process. Once verification is complete, this person will be added to your account.

  • CARDHOLDER: Get cardholder details

  • PAYMENT_INTENT: Retrieve a PaymentIntent

For TRANSACTION RFI:

active_request.questions.titleobject

The title of the question.

active_request.questions.title.enstring

Content in English

active_request.questions.title.zhstring

Content in Chinese

active_request.questions.uploaded_ordersarray

The uploaded orders which are related to the transaction, only applicable for TRANSACTION RFI.

active_request.questions.uploaded_orders.order_idstring

Unique identifier of the uploaded order.

active_request.updated_atstring

The latest timestamp the RFI request was updated

answered_requestsarray

The list of RFI requests that have already been responded to

answered_requests.created_atstring

Timestamp the RFI request was created

answered_requests.expires_atstring

Timestamp the RFI request will expire, and the RFI status will be transited to CLOSED.

answered_requests.questionsarray

List of questions

answered_requests.questions.answerobject

Response to the question

answered_requests.questions.answer.addressobject

Response for ADDRESS type

answered_requests.questions.answer.address.address_line1string

The first line of a physical address, typically including the street number and name of the building or residence. A P.O. box is not acceptable.

answered_requests.questions.answer.address.address_line2string

An optional field that can be used to capture additional information about the address, such as the apartment/ suite number, or floor number.

answered_requests.questions.answer.address.country_codestring

Country code. (2-letter ISO 3166-2 country code)

answered_requests.questions.answer.address.postcodestring

Postcode or zip code. Only applicable if relevant to selected country.

answered_requests.questions.answer.address.statestring

Name of state. Only applicable if relevant to selected country.

answered_requests.questions.answer.address.suburbstring

Name of city/suburb.

answered_requests.questions.answer.attachmentsarray

Response for ATTACHMENT type

answered_requests.questions.answer.attachments.file_idstring

File id provided in the response from the File Service API

answered_requests.questions.answer.commentstring

comment for this response

answered_requests.questions.answer.confirmedboolean

Response for CONFIRMATION type

answered_requests.questions.answer.identity_documentobject

Response for IDENTITY_DOCUMENT type

answered_requests.questions.answer.identity_document.back_file_idstring

File id of the photo of the back of the document.

answered_requests.questions.answer.identity_document.front_file_idstring

File id of the photo of the front of the document.

answered_requests.questions.answer.identity_document.issuing_countrystring

Country issuing the document. (2-letter ISO 3166-2 country code)

answered_requests.questions.answer.identity_document.numberstring

Identity number.

answered_requests.questions.answer.identity_document.typestring

Type of identity document. One of DRIVING_LICENSE,PASSPORT,IDENTITY_CARD,MEDICARE_CARD,SSN,ITIN

answered_requests.questions.answer.textstring

Response for TEXT type

answered_requests.questions.answer.typestring

The type of response to the question

ADDRESS, ATTACHMENT, CONFIRMATION, IDENTITY_DOCUMENT, LIVENESS, TEXT

answered_requests.questions.attachmentsarray

The supporting documents of the question.

answered_requests.questions.attachments.file_idstring

File id used in File Service API to get file download link

answered_requests.questions.commentstring

Additional description for this question

answered_requests.questions.descriptionobject

The description of the question.

answered_requests.questions.description.enstring

Content in English

answered_requests.questions.description.zhstring

Content in Chinese

answered_requests.questions.idstring

Unique identifier for the question.

answered_requests.questions.keystring

The unique coded value for the RFI scenario the question relates to. This field is used to support automation of RFI responses from the platform for well defined business requirements

Possible values:

  • PROOF_OF_ADDRESS
  • ID_COPY
answered_requests.questions.livenessobject

Information for the LIVENESS type questions

answered_requests.questions.liveness.statusstring

The status of the liveness verification

FAILED, NOT_STARTED, STARTED, SUBMITTED, SUCCEEDED

answered_requests.questions.liveness.urlstring

This URL is used for liveness verification, necessary in certain cases. Ensure recipients open it on their mobile devices, equipped with a valid ID or passport and a working camera.

Please note:

  • If LIVENESS is the only question in the RFI, the Respond to an RFI API does not need a separate call. It will be auto-resolved after verification.
  • For RFIs with both LIVENESS and other questions, please complete liveness verification before responding to the rest.
answered_requests.questions.sourcesarray

In the case where a question is linked to a specific source (such as a cardholder) then the source will be specified

answered_requests.questions.sources.idstring

Unique identifier for the source

answered_requests.questions.sources.personobject

Information for PERSON source

answered_requests.questions.sources.person.first_namestring

First name of the person

answered_requests.questions.sources.person.last_namestring

Last name of the person

answered_requests.questions.sources.typestring

The type of the source. Type of values and their corresponding API:

  • PERSON: Get account by ID

  • BUSINESS: match account_details.business_person_details.person_id with the source id

  • INDIVIDUAL: match account_details.individual_details.person_id with the source id

  • If there is no matched person on your account, this indicates that Airwallex has introduced a new individual during the review process. Once verification is complete, this person will be added to your account.

  • CARDHOLDER: Get cardholder details

  • PAYMENT_INTENT: Retrieve a PaymentIntent

For TRANSACTION RFI:

answered_requests.questions.titleobject

The title of the question.

answered_requests.questions.title.enstring

Content in English

answered_requests.questions.title.zhstring

Content in Chinese

answered_requests.questions.uploaded_ordersarray

The uploaded orders which are related to the transaction, only applicable for TRANSACTION RFI.

answered_requests.questions.uploaded_orders.order_idstring

Unique identifier of the uploaded order.

answered_requests.updated_atstring

The latest timestamp the RFI request was updated

created_atstring

Timestamp the RFI was created

idstring

Unique identifier for the RFI

statusstring

The status of the RFI. Possible values:

  • ACTION_REQUIRED: Airwallex requires you to respond to the RFI request
  • ANSWERED: You have already responded to the RFI request and your response is being reviewed by Airwallex
  • CLOSED: The review is complete and no further information is required
sub_typestring

The sub type of RFI.
For TRANSACTION RFI:

  • TRANSACTION_MONITORING: Internal transaction monitoring
  • TRANSACTION_SCREENING: Internal transaction screening
  • BANKING_PARTNER_INQUIRY: External banking partner inquiry
typestring

The type of RFI. Currently supports KYC, KYC_ONGOING, CARDHOLDER, TRANSACTION, PAYMENT_ENABLEMENT and MERCHANT_RISK types.

updated_atstring

The latest timestamp the RFI was updated

Errors
Error statusDescription
400

invalid_argument

401

credentials_invalid

404

not_found

500

service_unavailable

POST /api/v1/simulation/rfis/{id}/close
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/simulation/rfis/request_for_information_rfi_id/close' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "account_id": "acct_e_2wbiZ3Mx-ynlX-7Qidbg",
3 "active_request": {
4 "created_at": "2023-04-12T07:29:36+0000",
5 "expires_at": "2023-04-19T07:29:36+0000",
6 "questions": [
7 {
8 "answer": {
9 "address": {
10 "address_line1": "200 Collins Street",
11 "address_line2": "200 Collins Street",
12 "country_code": "AU",
13 "postcode": "3000",
14 "state": "VIC",
15 "suburb": "Melbourne"
16 },
17 "attachments": [
18 {
19 "file_id": "ZTEyOWJjZTItZGI5NS00NzI5LWI1YTQtZmQ2MmZlNDEwNzFlLHwsaG9uZ2tvbmcsfCzpvI7og5xDSS5wZGZfMTY4MzI1Nzg5OTUwOQ"
20 }
21 ],
22 "identity_document": {
23 "back_file_id": "N2EwYTllMTgtZmZjOS00ZDllLWI1MDQtMDMyZjAzZTRjZWE0LHwsLHwsQ05fQkxfbmV3LnBuZ18xNjgzNTUyNjg3Nzg3",
24 "front_file_id": "N2EwYTllMTgtZmZjOS00ZDllLWI1MDQtMDMyZjAzZTRjZWE0LHwsLHwsQ05fQkxfbmV3LnBuZ18xNjgzNTUyNjg3Nzg3",
25 "issuing_country": "AU",
26 "number": "123456789",
27 "type": "DRIVING_LICENSE"
28 },
29 "type": "TEXT"
30 },
31 "attachments": [
32 {
33 "file_id": "ZTEyOWJjZTItZGI5NS00NzI5LWI1YTQtZmQ2MmZlNDEwNzFlLHwsaG9uZ2tvbmcsfCzpvI7og5xDSS5wZGZfMTY4MzI1Nzg5OTUwOQ"
34 }
35 ],
36 "comment": "Please provide more information",
37 "description": {
38 "en": "Information confirmation",
39 "zh": "信息确认"
40 },
41 "id": "ba7bfb51-77bc-4991-b651-0969ece1d263",
42 "key": "PROOF_OF_ADDRESS",
43 "liveness": {
44 "status": "NOT_STARTED"
45 },
46 "sources": [
47 {
48 "id": "318ce9e9-c370-42bd-8192-e78283770c43",
49 "person": {
50 "first_name": "John",
51 "last_name": "Smith"
52 },
53 "type": "CARDHOLDER"
54 }
55 ],
56 "title": {
57 "en": "Information confirmation",
58 "zh": "信息确认"
59 },
60 "uploaded_orders": [
61 {
62 "order_id": "e10a8291-fabb-480d-a208-7c8f1c2cc5ec"
63 }
64 ]
65 }
66 ],
67 "updated_at": "2023-04-14T07:29:36+0000"
68 },
69 "answered_requests": [
70 {
71 "created_at": "2023-04-12T07:29:36+0000",
72 "expires_at": "2023-04-19T07:29:36+0000",
73 "questions": [
74 {
75 "answer": {
76 "address": {
77 "address_line1": "200 Collins Street",
78 "address_line2": "200 Collins Street",
79 "country_code": "AU",
80 "postcode": "3000",
81 "state": "VIC",
82 "suburb": "Melbourne"
83 },
84 "attachments": [
85 {
86 "file_id": "ZTEyOWJjZTItZGI5NS00NzI5LWI1YTQtZmQ2MmZlNDEwNzFlLHwsaG9uZ2tvbmcsfCzpvI7og5xDSS5wZGZfMTY4MzI1Nzg5OTUwOQ"
87 }
88 ],
89 "identity_document": {
90 "back_file_id": "N2EwYTllMTgtZmZjOS00ZDllLWI1MDQtMDMyZjAzZTRjZWE0LHwsLHwsQ05fQkxfbmV3LnBuZ18xNjgzNTUyNjg3Nzg3",
91 "front_file_id": "N2EwYTllMTgtZmZjOS00ZDllLWI1MDQtMDMyZjAzZTRjZWE0LHwsLHwsQ05fQkxfbmV3LnBuZ18xNjgzNTUyNjg3Nzg3",
92 "issuing_country": "AU",
93 "number": "123456789",
94 "type": "DRIVING_LICENSE"
95 },
96 "type": "TEXT"
97 },
98 "attachments": [
99 {
100 "file_id": "ZTEyOWJjZTItZGI5NS00NzI5LWI1YTQtZmQ2MmZlNDEwNzFlLHwsaG9uZ2tvbmcsfCzpvI7og5xDSS5wZGZfMTY4MzI1Nzg5OTUwOQ"
101 }
102 ],
103 "comment": "Please provide more information",
104 "description": {
105 "en": "Information confirmation",
106 "zh": "信息确认"
107 },
108 "id": "ba7bfb51-77bc-4991-b651-0969ece1d263",
109 "key": "PROOF_OF_ADDRESS",
110 "liveness": {
111 "status": "NOT_STARTED"
112 },
113 "sources": [
114 {
115 "id": "318ce9e9-c370-42bd-8192-e78283770c43",
116 "person": {
117 "first_name": "John",
118 "last_name": "Smith"
119 },
120 "type": "CARDHOLDER"
121 }
122 ],
123 "title": {
124 "en": "Information confirmation",
125 "zh": "信息确认"
126 },
127 "uploaded_orders": [
128 {
129 "order_id": "e10a8291-fabb-480d-a208-7c8f1c2cc5ec"
130 }
131 ]
132 }
133 ],
134 "updated_at": "2023-04-14T07:29:36+0000"
135 }
136 ],
137 "created_at": "2023-04-11T07:29:36+0000",
138 "id": "de73d13b-cb60-4541-8fa6-4bc50c1cbe92",
139 "status": "ACTION_REQUIRED",
140 "sub_type": "TRANSACTION_MONITORING",
141 "type": "KYC",
142 "updated_at": "2023-04-12T07:29:36+0000"
143}
Was this section helpful?